Bug 56007 - rpm -bb package.spec fails
rpm -bb package.spec fails
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2001-11-10 07:37 EST by daniel.deimert
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-10 07:37:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description daniel.deimert 2001-11-10 07:37:39 EST
From Bugzilla Helper:

Description of problem:
rpm -bb package.spec fails with "package.spec: No such file or directory" 
when rpm-build not installed.

This is a misleading and incorrect error message.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install a basic 7.2 server system with rpm but without rpm-build
2. Install a .src.rpm
3. Attempt to build the package by issuing rpm -
ba /usr/src/redhat/SPECS/package.spec

Actual Results:  rpm fails with the 
message "/usr/src/redhat/SPECS/package.spec: No such file or directory".

Expected Results:  rpm should have said "rpm: Build option not installed. 
Please install the rpm-build package."

Additional info:
Comment 1 Jeff Johnson 2001-11-20 10:40:30 EST
Invoke rpmbuild, not rpm. Yes you will need to install the
rpm-build package first.

Note You need to log in before you can comment on or make changes to this bug.